Subject: Re: bug#71861: 31.0.50; Keep better track of options to be :set-after others

From: Philip Kaludercic <[email-masked]>
Date: Sat, 13 Jul 2024 13:00:35 +0000

Sorry for the delay,

Kévin Le Gouguec <[email-masked]> writes:

> Assisting maintainers by automating some of that would be neat.  I have
> some half-baked ideas on the topic, but I'll tuck them in a footnote¹
> and let Philip tell us about his own 😉

The simplest solution is to provide a variadic function that would call
`custom-reevaluate-setting' + perhaps some additional checks to avoid an
issue like in bug#72077.  I feel that this would be the simplest option
that wouldn't require fiddling with defcustom internals.  We can
document what :initialize to use as well (thought I'm guessing it would
be `custom-initialize-changed' most of the time).

-- 
	Philip Kaludercic on peregrine